Bug 181880 - devel/rudiments: Update to version 0.42
devel/rudiments: Update to version 0.42
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 19:10 UTC by tkato432
Modified: 2013-10-28 22:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.56 KB, patch)
2013-09-06 19:10 UTC, tkato432
no flags Details | Diff
devel_rudiments.diff (29.09 KB, patch)
2013-10-09 18:55 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-09-06 19:10:02 UTC
- Update to version 0.42
Comment 1 Edwin Groothuis freebsd_committer 2013-09-06 19:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:11:51 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 tkato432 2013-10-09 18:55:12 UTC
Version 0.43 has been released.
Comment 4 Pawel Pekala freebsd_committer 2013-10-28 17:26:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 5 dfilter freebsd_committer 2013-10-28 22:01:53 UTC
Author: pawel
Date: Mon Oct 28 22:01:40 2013
New Revision: 331904
URL: http://svnweb.freebsd.org/changeset/ports/331904

Log:
  - Update devel/rudiments to 0.43 [1]
  - Add support for STAGEDIR [1]
  
  - Update databases/sqlrelay to 0.52 (fixes build with new devel/rudiments)
  - Remove leading article from COMMENT
  - Add support for STAGEDIR
  - Remove GTK1 option - no longer available feature
  - Rename INTERBASE option to FIREBIRD (globally defined)
  - Rename SQLITE2 to SQLITE3 as dependency changed to databases/sqlite3
  - Use options substitutions, sort plist
  
  PR:		ports/181880 [1]
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Deleted:
  head/databases/sqlrelay/files/patch-const-char-ptr
  head/databases/sqlrelay/files/patch-src+api+ruby+sqlrelay.C
  head/databases/sqlrelay/files/patch-undeclared-umask
Modified:
  head/databases/py-sqlrelay/Makefile
  head/databases/sqlrelay/Makefile   (contents, props changed)
  head/databases/sqlrelay/Makefile.common   (contents, props changed)
  head/databases/sqlrelay/distinfo   (contents, props changed)
  head/databases/sqlrelay/files/patch-acsite.m4   (contents, props changed)
  head/databases/sqlrelay/files/patch-config.mk.in   (contents, props changed)
  head/databases/sqlrelay/pkg-plist   (contents, props changed)
  head/devel/rudiments/Makefile
  head/devel/rudiments/distinfo
  head/devel/rudiments/pkg-plist

Modified: head/databases/py-sqlrelay/Makefile
==============================================================================
--- head/databases/py-sqlrelay/Makefile	Mon Oct 28 21:59:29 2013	(r331903)
+++ head/databases/py-sqlrelay/Makefile	Mon Oct 28 22:01:40 2013	(r331904)
@@ -3,7 +3,6 @@
 
 PORTNAME=	${SQLRELAY_PORTNAME}
 PORTVERSION=	${SQLRELAY_PORTVERSION}
-PORTREVISION=	2
 CATEGORIES=	databases python
 MASTER_SITES=	# none
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -29,7 +28,6 @@ CONFIGURE_ENV=	PTHREADINCLUDES="${PTHREA
 CONFIGURE_ARGS=	${SQLRELAY_CONFIGURE_ARGS} \
 		--with-python-prefix="${LOCALBASE}"
 
-NO_STAGE=	yes
 .include "${.CURDIR}/../sqlrelay/Makefile.common"
 
 .include <bsd.port.pre.mk>

Modified: head/databases/sqlrelay/Makefile
==============================================================================
--- head/databases/sqlrelay/Makefile	Mon Oct 28 21:59:29 2013	(r331903)
+++ head/databases/sqlrelay/Makefile	Mon Oct 28 22:01:40 2013	(r331904)
@@ -7,12 +7,12 @@ CATEGORIES=	databases
 MASTER_SITES=	SF
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A persistent DB connection pooling/proxying/load balancing system
+COMMENT=	Persistent DB connection pooling/proxying/load balancing system
 
-LIB_DEPENDS=	rudiments.1:${PORTSDIR}/devel/rudiments
+LIB_DEPENDS=	librudiments.so:${PORTSDIR}/devel/rudiments
 
 WANT_GNOME=	yes
-USE_GMAKE=	yes
+USES=		gmake
 USE_AUTOTOOLS=	autoconf libtool
 CPPFLAGS+=	-I${LOCALBASE}/include
 CONFIGURE_ENV=		${SQLRELAY_CONFIGURE_ENV}
@@ -24,107 +24,70 @@ CONFIGURE_ARGS=		${SQLRELAY_CONFIGURE_AR
 			--disable-python \
 			--disable-ruby \
 			--disable-zope
+MAKE_JOBS_UNSAFE=yes
 USE_LDCONFIG=	yes
 
 PORTDOCS=	*
 
-NO_STAGE=	yes
 .include "${.CURDIR}/Makefile.common"
 
-OPTIONS_DEFINE=	MSQL MYSQL ODBC PGSQL SQLITE2 FREETDS INTERBASE GTK1 DOCS
-SQLITE2_DESC=	SQLite 2 database
-INTERBASE_DESC=	Interbase database
+OPTIONS_DEFINE=	MSQL MYSQL ODBC PGSQL SQLITE3 FREETDS FIREBIRD DOCS
+OPTIONS_SUB=	yes
 
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MSQLITE2}
-LIB_DEPENDS+=		gdbm.4:${PORTSDIR}/databases/gdbm \
-			sqlite.2:${PORTSDIR}/databases/sqlite2
+.if ${PORT_OPTIONS:MSQLITE3}
+LIB_DEPENDS+=		libgdbm.so:${PORTSDIR}/databases/gdbm \
+			libsqlite3.so:${PORTSDIR}/databases/sqlite3
 CONFIGURE_ARGS+=	--with-gdbm-prefix="${LOCALBASE}" \
 			--with-sqlite-prefix="${LOCALBASE}"
-IF_SQLITE=	""
 .else
 CONFIGURE_ARGS+=	--without-gdbm-prefix \
 			--disable-sqlite
-IF_SQLITE=	"@comment "
 .endif
 
 .if ${PORT_OPTIONS:MMYSQL}
 USE_MYSQL=	yes
 CONFIGURE_ARGS+=	--with-mysql-prefix="${LOCALBASE}"
-IF_MYSQL=	""
 .else
 CONFIGURE_ARGS+=	--disable-mysql
-IF_MYSQL=	"@comment "
 .endif
 
-.if ${PORT_OPTIONS:MINTERBASE}
+.if ${PORT_OPTIONS:MFIREBIRD}
 USE_FIREBIRD=	yes
-CONFIGURE_ARGS+=	--with-interbase-prefix="${LOCALBASE}"
-IF_INTERBASE=	""
+CONFIGURE_ARGS+=	--with-firebird-prefix="${LOCALBASE}"
 .else
-CONFIGURE_ARGS+=	--disable-interbase
-IF_INTERBASE=	"@comment "
+CONFIGURE_ARGS+=	--disable-firebird
 .endif
 
 .if ${PORT_OPTIONS:MMSQL}
-LIB_DEPENDS+=		msql.1:${PORTSDIR}/databases/msql
+LIB_DEPENDS+=		libmsql.so:${PORTSDIR}/databases/msql
 CONFIGURE_ARGS+=	--with-msql-prefix="${LOCALBASE}"
-IF_MSQL=	""
 .else
 CONFIGURE_ARGS+=	--disable-msql
-IF_MSQL=	"@comment "
 .endif
 
 .if ${PORT_OPTIONS:MPGSQL}
 USE_PGSQL=	yes
 CONFIGURE_ARGS+=	--with-postgresql-prefix="${LOCALBASE}"
-IF_POSTGRESQL=	""
 .else
 CONFIGURE_ARGS+=	--disable-postgresql
-IF_POSTGRESQL=	"@comment "
 .endif
 
 .if ${PORT_OPTIONS:MODBC}
-LIB_DEPENDS+=		odbc.2:${PORTSDIR}/databases/unixODBC
+LIB_DEPENDS+=		libodbc.so:${PORTSDIR}/databases/unixODBC
 CONFIGURE_ARGS+=	--with-odbc-prefix="${LOCALBASE}"
-IF_ODBC=	""
 .else
 CONFIGURE_ARGS+=	--disable-odbc
-IF_ODBC=	"@comment "
 .endif
 
 .if ${PORT_OPTIONS:MFREETDS}
-LIB_DEPENDS+=		tds.5:${PORTSDIR}/databases/freetds
+LIB_DEPENDS+=		libtds.so:${PORTSDIR}/databases/freetds
 CONFIGURE_ARGS+=	--with-freetds-prefix="${LOCALBASE}"
-IF_FREETDS=	""
 .else
 CONFIGURE_ARGS+=	--disable-freetds
-IF_FREETDS=	"@comment "
 .endif
 
-.if ${PORT_OPTIONS:MGTK1}
-USE_GNOME+=		gtk12
-CONFIGURE_ARGS+=	--with-gtk-prefix="${LOCALBASE}"
-IF_GTK=		""
-.else
-CONFIGURE_ARGS+=	--disable-gtk
-IF_GTK=		"@comment "
-.endif
-
-PLIST_SUB=	IF_SQLITE=${IF_SQLITE} \
-		IF_MYSQL=${IF_MYSQL} \
-		IF_MSQL=${IF_MSQL} \
-		IF_POSTGRESQL=${IF_POSTGRESQL} \
-		IF_ODBC=${IF_ODBC} \
-		IF_FREETDS=${IF_FREETDS} \
-		IF_INTERBASE=${IF_INTERBASE} \
-		IF_GTK=${IF_GTK}
-
-MAN1=		fields.1 query.1 query.py.1 sqlrsh.1
-MAN8=		sqlr-connection.8 sqlr-cachemanager.8 sqlr-ipclean.8 \
-		sqlr-listener.8 sqlr-scaler.8 sqlr-start.8 sqlr-stop.8
-
 post-patch:
 	${REINPLACE_CMD} -E \
 		-e 's,(freebsd.*)/usr/local(.*rc.d),\1${PREFIX}\2/sqlrelay.sh-sample,' \
@@ -137,8 +100,8 @@ post-patch:
 	@${REINPLACE_CMD} -e '/EXAMPLEDIR/d' ${WRKSRC}/etc/Makefile
 	${FIND} ${WRKSRC} -name Makefile | ${XARGS} ${REINPLACE_CMD} -E \
 		-e 's#-release \$$\(SQLR_VERSION\)##g;'
-.if ! ${PORT_OPTIONS:MDOCS}
-	 @${REINPLACE_CMD} '/$$(MAKE) -C doc/d' ${WRKSRC}/Makefile
-.endif
+
+post-configure:
+	@${REINPLACE_CMD} 's,-Werror,,' ${WRKSRC}/config.mk
 
 .include <bsd.port.mk>

Modified: head/databases/sqlrelay/Makefile.common
==============================================================================
--- head/databases/sqlrelay/Makefile.common	Mon Oct 28 21:59:29 2013	(r331903)
+++ head/databases/sqlrelay/Makefile.common	Mon Oct 28 22:01:40 2013	(r331904)
@@ -1,9 +1,9 @@
 # $FreeBSD$
 
 SQLRELAY_PORTNAME=	sqlrelay
-SQLRELAY_PORTVERSION=	0.44
+SQLRELAY_PORTVERSION=	0.52
 
-SQLRELAY_PORTDIR=	${PORTSDIR}/databases/${SQLRELAY_PORTNAME}
+SQLRELAY_PORTDIR=	${.CURDIR}/../${SQLRELAY_PORTNAME}
 SQLRELAY_WRKSRC_CMD=	cd ${SQLRELAY_PORTDIR} && ${MAKE} -V WRKSRC
 
 SQLRELAY_CONFIGURE_ARGS=	\

Modified: head/databases/sqlrelay/distinfo
==============================================================================
--- head/databases/sqlrelay/distinfo	Mon Oct 28 21:59:29 2013	(r331903)
+++ head/databases/sqlrelay/distinfo	Mon Oct 28 22:01:40 2013	(r331904)
@@ -1,2 +1,2 @@
-SHA256 (sqlrelay-0.44.tar.gz) = 747392e595aeadb7868509bf325580a311e2755bb8f057026d3df41b8457b6e1
-SIZE (sqlrelay-0.44.tar.gz) = 2120317
+SHA256 (sqlrelay-0.52.tar.gz) = 2682890d2b80214b5dd9884043fe0147e328a27c08ba4f6f8a4a36d4eef6711d
+SIZE (sqlrelay-0.52.tar.gz) = 3376673

Modified: head/databases/sqlrelay/files/patch-acsite.m4
==============================================================================
--- head/databases/sqlrelay/files/patch-acsite.m4	Mon Oct 28 21:59:29 2013	(r331903)
+++ head/databases/sqlrelay/files/patch-acsite.m4	Mon Oct 28 22:01:40 2013	(r331904)
@@ -1,22 +1,21 @@
---- ./acsite.m4.orig	Thu Aug  5 08:04:21 2004
-+++ ./acsite.m4	Sat Dec 11 22:01:02 2004
-@@ -396,7 +396,7 @@
- dnl sets the substitution variable PTHREADLIBS
- AC_DEFUN([FW_CHECK_PTHREAD],
- [
--
+--- acsite.m4.orig	2013-09-21 13:33:47.000000000 +0200
++++ acsite.m4	2013-10-28 19:18:27.846799325 +0100
+@@ -680,6 +680,7 @@
+ 	AC_MSG_RESULT(no)
+ fi
+ 
 +if ( test -z "$PTHREADINCLUDES" -a -z "$PTHREADLIBS" ); then
  HAVE_PTHREAD=""
  PTHREADINCLUDES=""
- PTHREADLIBS=""
-@@ -440,7 +440,9 @@
- 		PTHREADLIBS="-pthread"
- 	fi
+ PTHREADLIB=""
+@@ -808,7 +809,9 @@
+ 		fi
+ 	done
  fi
 -
 +else
 +	HAVE_PTHREAD="yes"
 +fi
  FW_INCLUDES(pthreads,[$PTHREADINCLUDES])
- FW_LIBS(pthreads,[$PTHREADLIBS])
+ FW_LIBS(pthreads,[$PTHREADLIB])
  

Modified: head/databases/sqlrelay/files/patch-config.mk.in
==============================================================================
--- head/databases/sqlrelay/files/patch-config.mk.in	Mon Oct 28 21:59:29 2013	(r331903)
+++ head/databases/sqlrelay/files/patch-config.mk.in	Mon Oct 28 22:01:40 2013	(r331904)
@@ -1,15 +1,15 @@
---- config.mk.in.orig	Sun Mar 27 09:48:06 2005
-+++ config.mk.in	Mon May  9 01:51:07 2005
-@@ -16,7 +16,7 @@
+--- config.mk.in.orig	2013-09-22 03:52:29.000000000 +0200
++++ config.mk.in	2013-10-28 18:58:41.039873864 +0100
+@@ -9,7 +9,7 @@
  exec_prefix= @exec_prefix@
  includedir = @includedir@
  libdir = @libdir@
 -javadir = ${exec_prefix}/java
 +javadir = ${exec_prefix}/share/java/classes
- libexecdir = @libexecdir@
+ libexecdir = @libexecdir@/sqlrelay
  bindir = @bindir@
  localstatedir = @localstatedir@
-@@ -88,7 +88,7 @@
+@@ -89,7 +89,7 @@
  # rudiments library
  RUDIMENTSPATH = @RUDIMENTSPATH@
  RUDIMENTSINCLUDES = @RUDIMENTSINCLUDES@
@@ -17,4 +17,4 @@
 +RUDIMENTSLIBS = @RUDIMENTSLIBS@ -lssl -lcrypto
  RUDIMENTSLIBSPATH = @RUDIMENTSLIBSPATH@ 
  
- # perl
+ #iconv

Modified: head/databases/sqlrelay/pkg-plist
==============================================================================
--- head/databases/sqlrelay/pkg-plist	Mon Oct 28 21:59:29 2013	(r331903)
+++ head/databases/sqlrelay/pkg-plist	Mon Oct 28 22:01:40 2013	(r331904)
@@ -1,61 +1,50 @@
 bin/backupschema
-bin/fields
-bin/query
 bin/sqlr-cachemanager
+bin/sqlr-connection
 bin/sqlr-export
+bin/sqlr-fields
 bin/sqlr-import
-bin/sqlrclient-config
-bin/sqlrclientwrapper-config
-%%IF_GTK%%bin/sqlr-config-gtk
-%%IF_FREETDS%%bin/sqlr-connection-freetds
-%%IF_MSQL%%bin/sqlr-connection-msql
-%%IF_MYSQL%%bin/sqlr-connection-mysql
-%%IF_ODBC%%bin/sqlr-connection-odbc
-%%IF_POSTGRESQL%%bin/sqlr-connection-postgresql
-%%IF_SQLITE%%bin/sqlr-connection-sqlite
-%%IF_INTERBASE%%bin/sqlr-connection-interbase
-bin/sqlr-connection-router
 bin/sqlr-listener
-bin/sqlr-status
+bin/sqlr-pwdenc
+bin/sqlr-query
 bin/sqlr-scaler
 bin/sqlr-start
+bin/sqlr-status
 bin/sqlr-stop
+bin/sqlrclient-config
+bin/sqlrclientwrapper-config
+bin/sqlrserver-config
 bin/sqlrsh
+etc/rc.d/sqlrelay.sh-sample
+etc/sqlrelay-sample
 etc/sqlrelay.conf.example
 etc/sqlrelay.dtd
-etc/sqlrelay-sample
-etc/rc.d/sqlrelay.sh-sample
+etc/sqlrelay.xsd
 include/sqlrelay/private/bindvar.h
 include/sqlrelay/private/column.h
+include/sqlrelay/private/dll.h
 include/sqlrelay/private/row.h
+include/sqlrelay/private/sqlrclientwrapper.h
 include/sqlrelay/private/sqlrconnection.h
 include/sqlrelay/private/sqlrcursor.h
 include/sqlrelay/private/sqlrdefines.h
 include/sqlrelay/private/sqlrincludes.h
+include/sqlrelay/private/wrapperdll.h
 include/sqlrelay/sqlrclient.h
 include/sqlrelay/sqlrclientwrapper.h
-@dirrm include/sqlrelay/private
-@dirrm include/sqlrelay
-lib/libmysql3sqlrelay.so.0
+include/sqlrelay/sqlrpwdenc.h
 lib/libmysql3sqlrelay.so
-lib/libmysql3sqlrelay.la
-lib/libmysql3sqlrelay.a
-lib/libmysql40sqlrelay.so.0
+lib/libmysql3sqlrelay.so.0
 lib/libmysql40sqlrelay.so
-lib/libmysql40sqlrelay.la
-lib/libmysql40sqlrelay.a
-lib/libmysql41sqlrelay.so.0
+lib/libmysql40sqlrelay.so.0
 lib/libmysql41sqlrelay.so
-lib/libmysql41sqlrelay.la
-lib/libmysql41sqlrelay.a
-lib/libmysql50sqlrelay.so.0
+lib/libmysql41sqlrelay.so.0
 lib/libmysql50sqlrelay.so
-lib/libmysql50sqlrelay.la
-lib/libmysql50sqlrelay.a
-lib/libmysql51sqlrelay.so.0
+lib/libmysql50sqlrelay.so.0
 lib/libmysql51sqlrelay.so
-lib/libmysql51sqlrelay.la
-lib/libmysql51sqlrelay.a
+lib/libmysql51sqlrelay.so.0
+lib/libpqsqlrelay.so
+lib/libpqsqlrelay.so.0
 lib/libsqlrclient.a
 lib/libsqlrclient.la
 lib/libsqlrclient.so
@@ -64,25 +53,75 @@ lib/libsqlrclientwrapper.a
 lib/libsqlrclientwrapper.la
 lib/libsqlrclientwrapper.so
 lib/libsqlrclientwrapper.so.0
-lib/libpqsqlrelay.a
-lib/libpqsqlrelay.la
-lib/libpqsqlrelay.so
-lib/libpqsqlrelay.so.0
-lib/libsqlrconnection.a
-lib/libsqlrconnection.la
-lib/libsqlrconnection.so
-lib/libsqlrconnection.so.0
+%%ODBC%%lib/libsqlrodbc.so
+%%ODBC%%lib/libsqlrodbc.so.0
+lib/libsqlrserver.a
+lib/libsqlrserver.la
+lib/libsqlrserver.so
+lib/libsqlrserver.so.0
 lib/libsqlrutil.a
 lib/libsqlrutil.la
 lib/libsqlrutil.so
 lib/libsqlrutil.so.0
-libdata/pkgconfig/sqlrelay-c.pc
 libdata/pkgconfig/sqlrelay-c++.pc
+libdata/pkgconfig/sqlrelay-c.pc
+%%FIREBIRD%%libexec/sqlrelay/sqlrconnection_firebird.so
+%%FREETDS%%libexec/sqlrelay/sqlrconnection_freetds.so
+%%MSQL%%libexec/sqlrelay/sqlrconnection_msql.so
+%%MYSQL%%libexec/sqlrelay/sqlrconnection_mysql.so
+%%ODBC%%libexec/sqlrelay/sqlrconnection_odbc.so
+%%PGSQL%%libexec/sqlrelay/sqlrconnection_postgresql.so
+%%SQLITE3%%libexec/sqlrelay/sqlrconnection_sqlite.so
+libexec/sqlrelay/sqlrconnection_router.so
+libexec/sqlrelay/sqlrlogger_custom_nw.so
+libexec/sqlrelay/sqlrlogger_custom_sc.so
+libexec/sqlrelay/sqlrlogger_debug.so
+libexec/sqlrelay/sqlrlogger_slowqueries.so
+libexec/sqlrelay/sqlrpwdenc_crypt.so
+libexec/sqlrelay/sqlrpwdenc_md5.so
+libexec/sqlrelay/sqlrpwdenc_rot.so
+libexec/sqlrelay/sqlrquery_sqlrcmdcstat.so
+libexec/sqlrelay/sqlrquery_sqlrcmdgstat.so
+libexec/sqlrelay/sqltranslation_concat.so
+libexec/sqlrelay/sqltranslation_doublequotestosinglequotes.so
+libexec/sqlrelay/sqltranslation_forupdatemssqlserverize.so
+libexec/sqlrelay/sqltranslation_informixtomssqlserverdate.so
+libexec/sqlrelay/sqltranslation_informixtomssqlserverselectinto.so
+libexec/sqlrelay/sqltranslation_informixtooracledate.so
+libexec/sqlrelay/sqltranslation_locksmssqlserverize.so
+libexec/sqlrelay/sqltranslation_locksnowaitbydefault.so
+libexec/sqlrelay/sqltranslation_matchestolike.so
+libexec/sqlrelay/sqltranslation_oracleize.so
+libexec/sqlrelay/sqltranslation_serialtoautoincrement.so
+libexec/sqlrelay/sqltranslation_serialtoidentity.so
+libexec/sqlrelay/sqltranslation_show.so
+libexec/sqlrelay/sqltranslation_temptablesaddmissingcolumns.so
+libexec/sqlrelay/sqltranslation_temptableslocalize.so
+libexec/sqlrelay/sqltranslation_temptablessybaseize.so
+libexec/sqlrelay/sqltranslation_translatedatetimes.so
+libexec/sqlrelay/sqltrigger_createtableautoincrementoracle.so
+libexec/sqlrelay/sqltrigger_droplocalizedtemptables.so
+libexec/sqlrelay/sqltrigger_droptableautoincrementoracle.so
+man/man1/sqlr-fields.1.gz
+man/man1/sqlr-query.1.gz
+man/man1/sqlrsh.1.gz
+man/man8/sqlr-cachemanager.8.gz
+man/man8/sqlr-connection.8.gz
+man/man8/sqlr-ipclean.8.gz
+man/man8/sqlr-listener.8.gz
+man/man8/sqlr-scaler.8.gz
+man/man8/sqlr-start.8.gz
+man/man8/sqlr-stop.8.gz
+share/examples/sample-mssqlserver-mysql-errors.map
+share/examples/sample-oracle-mysql-errors.map
+@dirrm libexec/sqlrelay
+@dirrm include/sqlrelay/private
+@dirrm include/sqlrelay
 @cwd /var
-@dirrmtry sqlrelay/cache
-@dirrmtry sqlrelay/debug
-@dirrmtry sqlrelay/tmp/ipc
-@dirrmtry sqlrelay/tmp/pids
 @dirrmtry sqlrelay/tmp/sockets
+@dirrmtry sqlrelay/tmp/pids
+@dirrmtry sqlrelay/tmp/ipc
 @dirrmtry sqlrelay/tmp
+@dirrmtry sqlrelay/debug
+@dirrmtry sqlrelay/cache
 @dirrmtry sqlrelay

Modified: head/devel/rudiments/Makefile
==============================================================================
--- head/devel/rudiments/Makefile	Mon Oct 28 21:59:29 2013	(r331903)
+++ head/devel/rudiments/Makefile	Mon Oct 28 22:01:40 2013	(r331904)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	rudiments
-PORTVERSION=	0.41
+PORTVERSION=	0.43
 CATEGORIES=	devel
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/0.50
+MASTER_SITES=	SF
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	C++ class library for daemons, clients, servers, and more
@@ -13,7 +13,8 @@ LICENSE=	LGPL20
 
 OPTIONS_DEFINE=	DOCS
 
-USES=		pkgconfig
+USES=		pkgconfig shebangfix
+SHEBANG_FILES=	doc/programming/insert.pl
 USE_OPENSSL=	yes
 USE_AUTOTOOLS=	libtool
 CONFIGURE_ARGS=	--with-ssl-includes=-I${OPENSSLINC} \
@@ -21,24 +22,13 @@ CONFIGURE_ARGS=	--with-ssl-includes=-I${
 		--disable-pcre
 USE_LDCONFIG=	yes
 
-MAN1=		rudiments-config.1
-
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-		'/cd doc;/s|^|#| ; \
-		 /pkgconfig/s|$$(libdir)/|$$(prefix)/libdata/|' ${WRKSRC}/Makefile
-	@${REINPLACE_CMD} -e \
-		's|^#!/usr/bin/perl|#!${PERL}|' ${WRKSRC}/doc/programming/insert.pl
-	@${REINPLACE_CMD} -e \
-		's| -release $$(RUDIMENTS_VERSION)||' ${WRKSRC}/src/Makefile.in
-
-post-install:
-.if ${PORT_OPTIONS:MDOCS}
-	@(cd ${WRKSRC}/doc && ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} \
-		${MAKEFILE} ${MAKE_ARGS} ${INSTALL_TARGET})
-.endif
+		'/pkgconfig/s|$$(libdir)/|$$(prefix)/libdata/|' ${WRKSRC}/Makefile
+	@${REINPLACE_CMD} -e 's| -release $$(RUDIMENTS_VERSION)||' \
+		-e 's|-rpath $$(libdir)|-rpath ${PREFIX}/lib|' \
+		${WRKSRC}/src/Makefile.in
 
 .include <bsd.port.mk>

Modified: head/devel/rudiments/distinfo
==============================================================================
--- head/devel/rudiments/distinfo	Mon Oct 28 21:59:29 2013	(r331903)
+++ head/devel/rudiments/distinfo	Mon Oct 28 22:01:40 2013	(r331904)
@@ -1,2 +1,2 @@
-SHA256 (rudiments-0.41.tar.gz) = c2a128b31e70115b76bf6e8f6f4be34310a51e52ae6ef9a6470f17d4f720b1ee
-SIZE (rudiments-0.41.tar.gz) = 1480480
+SHA256 (rudiments-0.43.tar.gz) = b4bfaf0af183ee5035e89898d2d5a23d20cd6df93514833ceec3abbf1738aaeb
+SIZE (rudiments-0.43.tar.gz) = 1665491

Modified: head/devel/rudiments/pkg-plist
==============================================================================
--- head/devel/rudiments/pkg-plist	Mon Oct 28 21:59:29 2013	(r331903)
+++ head/devel/rudiments/pkg-plist	Mon Oct 28 22:01:40 2013	(r331904)
@@ -4,11 +4,9 @@ include/rudiments/charstring.h
 include/rudiments/chat.h
 include/rudiments/client.h
 include/rudiments/clientserverfactory.h
-include/rudiments/clientsocket.h
 include/rudiments/codetree.h
 include/rudiments/commandline.h
 include/rudiments/crypt.h
-include/rudiments/daemonprocess.h
 include/rudiments/datetime.h
 include/rudiments/device.h
 include/rudiments/dictionary.h
@@ -22,8 +20,8 @@ include/rudiments/filedescriptor.h
 include/rudiments/filesystem.h
 include/rudiments/groupentry.h
 include/rudiments/hostentry.h
-include/rudiments/inetclientsocket.h
-include/rudiments/inetserversocket.h
+include/rudiments/inetsocketclient.h
+include/rudiments/inetsocketserver.h
 include/rudiments/inetsocketutil.h
 include/rudiments/intervaltimer.h
 include/rudiments/linkedlist.h
@@ -33,7 +31,6 @@ include/rudiments/memorymap.h
 include/rudiments/memorypool.h
 include/rudiments/modemclient.h
 include/rudiments/modemserver.h
-include/rudiments/mutex.h
 include/rudiments/parameterstring.h
 include/rudiments/passwdentry.h
 include/rudiments/permissions.h
@@ -45,17 +42,12 @@ include/rudiments/private/chatincludes.h
 include/rudiments/private/client.h
 include/rudiments/private/clientincludes.h
 include/rudiments/private/clientserverfactoryincludes.h
-include/rudiments/private/clientsocket.h
-include/rudiments/private/clientsocketincludes.h
 include/rudiments/private/codetree.h
 include/rudiments/private/codetreeincludes.h
 include/rudiments/private/commandline.h
 include/rudiments/private/commandlineincludes.h
 include/rudiments/private/config.h
-include/rudiments/private/crypt.h
 include/rudiments/private/cryptincludes.h
-include/rudiments/private/daemonprocess.h
-include/rudiments/private/daemonprocessincludes.h
 include/rudiments/private/datetime.h
 include/rudiments/private/datetimeincludes.h
 include/rudiments/private/device.h
@@ -86,10 +78,10 @@ include/rudiments/private/groupentry.h
 include/rudiments/private/groupentryincludes.h
 include/rudiments/private/hostentry.h
 include/rudiments/private/hostentryincludes.h
-include/rudiments/private/inetclientsocket.h
-include/rudiments/private/inetclientsocketincludes.h
-include/rudiments/private/inetserversocket.h
-include/rudiments/private/inetserversocketincludes.h
+include/rudiments/private/inetsocketclient.h
+include/rudiments/private/inetsocketclientincludes.h
+include/rudiments/private/inetsocketserver.h
+include/rudiments/private/inetsocketserverincludes.h
 include/rudiments/private/inetsocketutil.h
 include/rudiments/private/inetsocketutilincludes.h
 include/rudiments/private/intervaltimer.h
@@ -116,13 +108,12 @@ include/rudiments/private/modemclientinc
 include/rudiments/private/modemserver.h
 include/rudiments/private/modemserverincludes.h
 include/rudiments/private/modemutil.h
-include/rudiments/private/mutex.h
-include/rudiments/private/mutexincludes.h
 include/rudiments/private/parameterstring.h
 include/rudiments/private/parameterstringincludes.h
 include/rudiments/private/passwdentry.h
 include/rudiments/private/passwdentryincludes.h
 include/rudiments/private/permissionsincludes.h
+include/rudiments/private/process.h
 include/rudiments/private/processincludes.h
 include/rudiments/private/protocolentry.h
 include/rudiments/private/protocolentryincludes.h
@@ -141,8 +132,6 @@ include/rudiments/private/serialportprof
 include/rudiments/private/serialportprofileincludes.h
 include/rudiments/private/server.h
 include/rudiments/private/serverincludes.h
-include/rudiments/private/serversocket.h
-include/rudiments/private/serversocketincludes.h
 include/rudiments/private/serviceentry.h
 include/rudiments/private/serviceentryincludes.h
 include/rudiments/private/shadowentry.h
@@ -155,19 +144,23 @@ include/rudiments/private/signalclassesi
 include/rudiments/private/signalhandler.h
 include/rudiments/private/signalset.h
 include/rudiments/private/snoozeincludes.h
+include/rudiments/private/socketclient.h
+include/rudiments/private/socketclientincludes.h
+include/rudiments/private/socketserver.h
+include/rudiments/private/socketserverincludes.h
 include/rudiments/private/stderrdestination.h
 include/rudiments/private/stdoutdestination.h
 include/rudiments/private/stringbuffer.h
 include/rudiments/private/stringbufferincludes.h
+include/rudiments/private/sys.h
+include/rudiments/private/sysincludes.h
 include/rudiments/private/syslogdestination.h
-include/rudiments/private/system.h
-include/rudiments/private/systemincludes.h
-include/rudiments/private/timezonefile.h
-include/rudiments/private/timezonefileincludes.h
-include/rudiments/private/unixclientsocket.h
-include/rudiments/private/unixclientsocketincludes.h
-include/rudiments/private/unixserversocket.h
-include/rudiments/private/unixserversocketincludes.h
+include/rudiments/private/threadmutex.h
+include/rudiments/private/threadmutexincludes.h
+include/rudiments/private/unixsocketclient.h
+include/rudiments/private/unixsocketclientincludes.h
+include/rudiments/private/unixsocketserver.h
+include/rudiments/private/unixsocketserverincludes.h
 include/rudiments/private/unixsocketutil.h
 include/rudiments/private/unixsocketutilincludes.h
 include/rudiments/private/variablebuffer.h
@@ -190,18 +183,20 @@ include/rudiments/semaphoreset.h
 include/rudiments/serialport.h
 include/rudiments/serialportprofile.h
 include/rudiments/server.h
-include/rudiments/serversocket.h
 include/rudiments/serviceentry.h
 include/rudiments/shadowentry.h
 include/rudiments/sharedmemory.h
 include/rudiments/shmfile.h
 include/rudiments/signalclasses.h
 include/rudiments/snooze.h
+include/rudiments/socketclient.h
+include/rudiments/socketserver.h
+include/rudiments/stdio.h
 include/rudiments/stringbuffer.h
-include/rudiments/system.h
-include/rudiments/timezonefile.h
-include/rudiments/unixclientsocket.h
-include/rudiments/unixserversocket.h
+include/rudiments/sys.h
+include/rudiments/threadmutex.h
+include/rudiments/unixsocketclient.h
+include/rudiments/unixsocketserver.h
 include/rudiments/unixsocketutil.h
 include/rudiments/variablebuffer.h
 include/rudiments/xmldom.h
@@ -212,6 +207,7 @@ lib/librudiments.la
 lib/librudiments.so
 lib/librudiments.so.1
 libdata/pkgconfig/rudiments.pc
+man/man1/rudiments-config.1.gz
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/annotated.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/bc_s.png
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/bdwn.png
@@ -231,39 +227,22 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classclient.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classclientserverfactory-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classclientserverfactory.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classclientsocket-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classclientsocket.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classcodetree-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classcodetree.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classcommandline-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classcommandline.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classconststringdictionary-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classconststringdictionary.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classconststringdictionarylist-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classconststringdictionarylist.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classconststringdictionarylistnode-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classconststringdictionarylistnode.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classconststringdictionarynode-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classconststringdictionarynode.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classcrypt-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classcrypt.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classdaemonprocess-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classdaemonprocess.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classdatetime-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classdatetime.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classdevice-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classdevice.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classdictionary-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classdictionary.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classdictionarylist-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classdictionarylist.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classdictionarylistnode-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classdictionarylistnode.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classdictionarynode-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classdictionarynode.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classdirectory-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classdirectory.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classdirectorylisting.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classdtd-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classdtd.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classdynamiclib-members.html
@@ -285,10 +264,10 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classgroupentry.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classhostentry-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classhostentry.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classinetclientsocket-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classinetclientsocket.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classinetserversocket-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classinetserversocket.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classinetsocketclient-members.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classinetsocketclient.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classinetsocketserver-members.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classinetsocketserver.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classinetsocketutil-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classinetsocketutil.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classintervaltimer-members.html
@@ -306,48 +285,28 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classlogdestination.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classlogger-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classlogger.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classloginrecord.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classmath-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classmath.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classmemorymap-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classmemorymap.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classmemorypool-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classmemorypool.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classmessagequeue.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classmodemclient-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classmodemclient.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classmodemserver-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classmodemserver.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classmodemutil-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classmodemutil.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classmutex-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classmutex.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classnetworkinterface-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classnetworkinterface.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classnetworkinterfaces-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classnetworkinterfaces.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classnumericdictionary-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classnumericdictionary.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classnumericdictionarylist-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classnumericdictionarylist.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classnumericdictionarylistnode-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classnumericdictionarylistnode.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classnumericdictionarynode-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classnumericdictionarynode.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classparameterstring-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classparameterstring.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classpasswdentry-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classpasswdentry.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classpermissions-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classpermissions.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classpipe-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classpipe.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classprocess-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classprocess.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classprotocolentry-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classprotocolentry.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classpseudotty-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classpseudotty.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classrandomnumber-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classrandomnumber.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classrawbuffer-members.html
@@ -364,16 +323,12 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classserialportprofile.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classserver-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classserver.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classserversocket-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classserversocket.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classserviceentry-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classserviceentry.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classshadowentry-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classshadowentry.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classsharedmemory-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classsharedmemory.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classshellcommand-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classshellcommand.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classshmfile-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classshmfile.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classsignalhandler-members.html
@@ -384,31 +339,24 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classsignalset.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classsnooze-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classsnooze.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classsocketclient-members.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classsocketclient.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classsocketserver-members.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classsocketserver.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classstderrdestination.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classstdoutdestination.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classstringbuffer-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classstringbuffer.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classstringdictionary-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classstringdictionary.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classstringdictionarylist-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classstringdictionarylist.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classstringdictionarylistnode-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classstringdictionarylistnode.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classstringdictionarynode-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classstringdictionarynode.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classsys-members.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classsys.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classsyslogdestination-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classsyslogdestination.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classsystem-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classsystem.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classthread.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classtimezonefile-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classtimezonefile.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classtty-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classtty.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classunixclientsocket-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classunixclientsocket.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classunixserversocket-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/classunixserversocket.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classthreadmutex-members.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classthreadmutex.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classunixsocketclient-members.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classunixsocketclient.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classunixsocketserver-members.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/classunixsocketserver.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classunixsocketutil-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classunixsocketutil.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/classvariablebuffer-members.html
@@ -425,8 +373,6 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/clientincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/clientserverfactory_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/clientserverfactoryincludes_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/clientsocket_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/clientsocketincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/closed.png
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/codetree_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/codetreeincludes_8h_source.html
@@ -436,8 +382,6 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/config_8windows_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/crypt_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/cryptincludes_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/daemonprocess_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/daemonprocessincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/datetime_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/datetimeincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/device_8h_source.html
@@ -470,7 +414,6 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/filedescriptorincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/filedestination_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/fileincludes_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/files.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/filesystem_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/filesystemincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/ftv2blank.png
@@ -546,10 +489,10 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/hostentry_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/hostentryincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/index.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/inetclientsocket_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/inetclientsocketincludes_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/inetserversocket_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/inetserversocketincludes_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/inetsocketclient_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/inetsocketclientincludes_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/inetsocketserver_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/inetsocketserverincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/inetsocketutil_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/inetsocketutilincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/intervaltimer_8h_source.html
@@ -583,8 +526,6 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/modemserver_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/modemserverincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/modemutil_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/mutex_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/mutexincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/nav_f.png
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/nav_g.png
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/nav_h.png
@@ -601,11 +542,8 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2charstring_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2chat_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2client_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2clientsocket_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2codetree_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2commandline_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2crypt_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2daemonprocess_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2datetime_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2device_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2dictionary_8h_source.html
@@ -618,8 +556,8 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2filesystem_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2groupentry_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2hostentry_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2inetclientsocket_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2inetserversocket_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2inetsocketclient_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2inetsocketserver_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2inetsocketutil_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2intervaltimer_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2link_8h_source.html
@@ -632,10 +570,10 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2messagequeue_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2modemclient_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2modemserver_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2mutex_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2parameterstring_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2passwdentry_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2pipe_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2process_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2protocolentry_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2pseudotty_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2regularexpression_8h_source.html
@@ -644,19 +582,20 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2serialport_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2serialportprofile_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2server_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2serversocket_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2serviceentry_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2shadowentry_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2sharedmemory_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2shellcommand_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2shmfile_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2socketclient_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2socketserver_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2stringbuffer_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2system_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2sys_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2thread_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2timezonefile_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2threadmutex_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2tty_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2unixclientsocket_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2unixserversocket_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2unixsocketclient_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2unixsocketserver_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2unixsocketutil_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2variablebuffer_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/private_2xmldom_8h_source.html
@@ -685,8 +624,6 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/serialportprofileincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/server_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/serverincludes_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/serversocket_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/serversocketincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/serviceentry_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/serviceentryincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/shadowentry_8h_source.html
@@ -702,7 +639,12 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/signalset_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/snooze_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/snoozeincludes_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/socketclient_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/socketclientincludes_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/socketserver_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/socketserverincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/stderrdestination_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/stdio_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/stdoutdestination_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/stringbuffer_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/stringbufferincludes_8h_source.html
@@ -710,24 +652,24 @@ libdata/pkgconfig/rudiments.pc
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/structsockaddr__un.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/structtermios-members.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/structtermios.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/structttinfo-members.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/structttinfo.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/sync_off.png
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/sync_on.png
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/sys_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/sysincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/syslogdestination_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/system_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/systemincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/tab_a.png
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/tab_b.png
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/tab_h.png
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/tab_s.png
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/tabs.css
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/thread_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/timezonefile_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/timezonefileincludes_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/threadmutex_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/threadmutexincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/tty_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/unixclientsocket_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/unixclientsocketincludes_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/unixserversocket_8h_source.html
-%%PORTDOCS%%%%DOCSDIR%%/classes/html/unixserversocketincludes_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/unixsocketclient_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/unixsocketclientincludes_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/unixsocketserver_8h_source.html
+%%PORTDOCS%%%%DOCSDIR%%/classes/html/unixsocketserverincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/unixsocketutil_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/unixsocketutilincludes_8h_source.html
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/variablebuffer_8h_source.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Pawel Pekala freebsd_committer 2013-10-28 22:02:05 UTC
State Changed
From-To: open->closed

Committed. Thanks!